%define name xpinguin
%define version 1.0
%define release 2

%define builddir $RPM_BUILD_DIR/%{name}

Summary: Displays the Linux penguin

Name: %{name}
Version: %{version}
Release: %{release}
Group: Amusements/Graphics
Copyright: Freely distributable
Source0: ftp://sunsite.unc.edu/pub/Linux/Incoming/xpinguin.tgz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
Displays the penguin that is the official Linux
logo on your machine. Zing him around. Drop windows
on him. Impress your friends with how cute he is.

%prep
%setup -q -n %{name}

%build
make clean
xmkmf
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/{usr/X11R6/{bin,man/man1}}
cp %{builddir}/xpinguin $RPM_BUILD_ROOT/usr/X11R6/bin
cp %{builddir}/xpinguin.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/xpinguin.1x
strip $RPM_BUILD_ROOT/usr/X11R6/bin/xpinguin
gzip -9f $RPM_BUILD_ROOT/usr/X11R6/man/man1/xpinguin.1x

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files
%attr(755,root,root) /usr/X11R6/bin/xpinguin
%attr(644,root,root) /usr/X11R6/man/man1/*.1x.gz

%changelog
* Wed Apr 14 1999 Michael Maher <mike@redhat.com>
- built package 


